Bug 258613 - devel/pycharm-ce: Update to 2021.2.2
Summary: devel/pycharm-ce: Update to 2021.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://www.jetbrains.com/pycharm/wha...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-19 19:16 UTC by Jonathan Chen
Modified: 2021-10-11 13:13 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
2021.1.1 -> 2021.2.2 (54.23 KB, patch)
2021-09-19 19:16 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2021-09-19 19:16:37 UTC
Created attachment 228020 [details]
2021.1.1 -> 2021.2.2

Update to pycharm-ce 2021.2.2
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-10 23:15:47 UTC
^Triage: Maintainer timeout (~3 weeks), reset Assignee, open to take.

@Jonathan Could you confirm this change passes QA and add an upstream changelog url to the URl field please. If its a bugfix and/or security release, please also set merge-quarterly flag to ?

Thanks!
Comment 2 Jonathan Chen 2021-10-10 23:30:49 UTC
2021.2.2 is a feature update, not a security release afaik.
Comment 3 Kurt Jaeger freebsd_committer 2021-10-11 05:18:10 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2021-10-11 13:13:28 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-10-11 13:13:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=92cc7639276a58c1b22f399ddd7988606d78d9b1

commit 92cc7639276a58c1b22f399ddd7988606d78d9b1
Author:     Jonathan Chen <jonc@chen.org.nz>
AuthorDate: 2021-10-11 13:10:44 +0000
Commit:     Kurt Jaeger <pi@FreeBSD.org>
CommitDate: 2021-10-11 13:10:44 +0000

    devel/pycharm-ce: update 2021.1.1 -> 2021.2.2

    PR:        258613
    Changes:   https://www.jetbrains.com/pycharm/whatsnew/2021-2/
    Author:    Jonathan Chen <jonc@chen.org.nz>

 devel/pycharm-ce/Makefile  |   2 +-
 devel/pycharm-ce/distinfo  |   6 +-
 devel/pycharm-ce/pkg-plist | 436 +++++++++++++++++++++++++++------------------
 3 files changed, 264 insertions(+), 180 deletions(-)